Skip to main content
POST
/
v1
/
payouts
/
qr-code
2. Pagar QR Code
curl --request POST \
  --url https://stater.stric.io/v1/payouts/qr-code \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "pixCopyAndPaste": "<string>",
  "amountCents": "<string>",
  "description": "<string>",
  "qrCodeDecodeId": "<string>"
}
'
{
  "kind": "submitted",
  "payoutId": "<string>",
  "status": "PENDING"
}

Documentation Index

Fetch the complete documentation index at: https://docs.stric.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key da plataforma. Envie no header Authorization: Bearer <key>.

Headers

X-Pix-Account-Id
string

Id da conta Pix sobre a qual a operação atua. Obrigatório quando sua API key não está vinculada a uma conta específica.

Required string length: 10 - 40
Idempotency-Key
string
required

Chave única para deduplicar requests. Repetir a mesma chave (mesmo método, path e body) retorna a resposta original — útil para retry seguro. Conflito de body com chave repetida → 409.

Required string length: 8 - 64

Body

application/json
pixCopyAndPaste
string
required
Required string length: 20 - 2000
amountCents
required
description
string
Maximum string length: 256
qrCodeDecodeId
string
Required string length: 10 - 64

Response

OK

kind
enum<string>
required
Available options:
submitted,
rejected,
submitted_unknown
payoutId
string
required
status
enum<string>
required
Available options:
PENDING,
PROCESSING,
SUBMITTED_UNKNOWN,
SUCCEEDED,
FAILED,
CANCELLED,
REFUNDED,
STUCK
{key}
any